summaryrefslogtreecommitdiff
path: root/debian/libpam-modules.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/libpam-modules.postinst')
-rw-r--r--debian/libpam-modules.postinst15
1 files changed, 15 insertions, 0 deletions
diff --git a/debian/libpam-modules.postinst b/debian/libpam-modules.postinst
new file mode 100644
index 00000000..d5921997
--- /dev/null
+++ b/debian/libpam-modules.postinst
@@ -0,0 +1,15 @@
+#!/bin/sh -e
+
+# If the user has removed the config file, respect this sign of dementia
+# -- only create on package install.
+
+if [ -z "$2" ] || dpkg --compare-versions "$2" lt 0.99.7.1-3
+then
+ if ! [ -f /etc/security/opasswd ]; then
+ umask 066
+ touch /etc/security/opasswd
+ umask 022
+ fi
+fi
+
+#DEBHELPER#